# Add feedback

## Add Feedback

<mark style="color:green;">`POST`</mark> `https://{{account_id}}.acquire.io/api/v1/crm/feedback`

Create feedback. The body requires keys of `"question"`, `"status"`, `"type"`, `"config"`, `"departments"`, and `"channels"`. <br>

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Bearer {{api\_key}} |

#### Request Body

| Name        | Type   | Description                                                                             |
| ----------- | ------ | --------------------------------------------------------------------------------------- |
| channels    | string | The channel that feedback will display on: "sms", "email", "chat"                       |
| departments | array  | Array of integers. The departments that will receive the feedback.                      |
| config      | string | The values, requirements, and error messages for the feedback                           |
| type        | string | The type of feedback question: "rating","text", "multiple\_radio", "multiple\_checkbox" |
| status      | string | "active" \| "disabled"                                                                  |
| question    | string | The question for the feedback                                                           |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "question": "How satisfied are you with our products/services?",
    "status": "active",
    "type": "rating",
    "config": {
      "error_message": "Invalid Input",
      "required": true,
      "rating_type": "star",
      "limit": 1,
      "multiline": false,
      "values": [
        {
          "icon": "settings/feedback-5.svg",
          "label": "LIKE",
          "value": "5"
        }
      ]
    },
    "departments": [
      1
    ],
    "channels": [
      "chat"
    ],
    "dateCreated": "2021-03-18T07:41:18.341Z",
    "id": 37
  }
}
```

{% endtab %}
{% endtabs %}

## Body(raw)

```
{
  "question": "How satisfied are you with our products/services?",
  "status": "active",
  "type": "rating",
  "config": {
    "error_message": "Invalid Input",
    "required": true,
    "rating_type": "star",
    "limit": 1,
    "multiline": false,
    "values": [
      {
        "icon": "settings/feedback-5.svg",
        "label": "LIKE",
        "value": "5"
      }
    ]
  },
  "departments": [
    1
  ],
  "channels": [
    "chat"
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/settings/conversation-settings/feedback/add-feedback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
